LIBRARY IEEE; 
USE IEEE.std_logic_1164.ALL;
ENTITY pulse_gen IS
  PORT( a : IN std_logic;
        b : OUT BOOLEAN);
END pulse_gen;

ARCHITECTURE pulse_gen OF pulse_gen IS
BEGIN
  b <= a'STABLE( 10 ns );
END pulse_gen;


